### Method

# WebKit2WebExtension DOMDOMSelection set_base_and_extent

deprecated: 2.22 since: 2.16

#### Declaration [src]

    void
    webkit_dom_dom_selection_set_base_and_extent (
      WebKitDOMDOMSelection* self,
      WebKitDOMNode* baseNode,
      gulong baseOffset,
      WebKitDOMNode* extentNode,
      gulong extentOffset
    )

#### Description

No description available.

Available since: 2.16

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`baseNode`

  Type: `WebKitDOMNode`

  A `WebKitDOMNode`.

  The data is owned by the caller of the method.

`baseOffset`

  Type: `gulong`

  A #gulong.

`extentNode`

  Type: `WebKitDOMNode`

  A `WebKitDOMNode`.

  The data is owned by the caller of the method.

`extentOffset`

  Type: `gulong`

  A #gulong.